Skip to main content
`Ctrl`+`K`

# BVOrthogType

Determines the method used in the orthogonalization of vectors.

## Synopsis

    typedef enum { BV_ORTHOG_CGS,
                   BV_ORTHOG_MGS } BVOrthogType;

## Values

- `BV_ORTHOG_CGS` - Classical Gram-Schmidt

- `BV_ORTHOG_MGS` - Modified Gram-Schmidt

## Note

The default is to use CGS. Both CGS and MGS provide similar numerical accuracy when combined with iterative refinement (the default). MGS results in poorer performance, both sequential and in parallel, so it is not recommended unless iterative refinement is disabled.

## See Also

BV: Basis Vectors, `BVSetOrthogonalization()`, `BVGetOrthogonalization()`, `BVOrthogonalizeColumn()`, `BVOrthogRefineType`

## Level

advanced

## Location

include/slepcbv.h

Index of all BV routines Table of Contents for all manual pages Index of all manual pages